Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nu.xom
Class CycleException

    Object
      Throwable
          Exception
              RuntimeException
                  nu.xom.XMLException
                      nu.xom.WellformednessException
                          nu.xom.IllegalAddException
                              nu.xom.CycleException

All Implemented Interfaces:
  Serializable

public class CycleException
extends IllegalAddException

Indicates an attempt to insert an ancestor element as one of its own descendants.

Version:
  1.1b3
Author:
  Elliotte Rusty Harold
See Also:
  Serialized Form

Constructor Summary
`CycleException(String message)` Creates a new `CycleException` with a detail message.
`CycleException(String message, Throwable cause)` Creates a new `CycleException` with a detail message and an underlying root cause.

Methods inherited from class nu.xom.XMLException
`getCause, initCause`

Methods inherited from class Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CycleException

    public CycleException(String message)

  Creates a new `CycleException` with a detail message.

Parameters:
  `message` - a string indicating the specific problem

### CycleException

    public CycleException(String message,
                          Throwable cause)

  Creates a new `CycleException` with a detail message and an underlying root cause.

Parameters:
  `message` - a string indicating the specific problem
  `cause` - the original cause of this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2005 Elliotte Rusty Harold
elharo@metalab.unc.edu